/*
 * See the files COPYING and README for copyright information and how to reach 
 * the author.
 *
 *  $Id: chain-archive.h,v 1.1 2006/04/17 19:03:45 lordjaxom Exp $
 */

#ifndef VDR_BURN_CHAIN_ARCHIVE_H
#define VDR_BURN_CHAIN_ARCHIVE_H
 
#include "chain-vdr.h"
#include "jobs.h"

namespace vdr_burn
{

	class chain_archive: public chain_vdr
	{
	public:
		enum step { build, burn };

		chain_archive(job& job);

	protected:
		virtual bool initialize(void);
		virtual void process_line(const std::string& line);
		virtual bool finished(const proctools::process* proc);

	private:
		step m_step;
	};
}

#endif // VDR_BURN_CHAIN_ARCHIVE_H
